Storyden
Robots

List Robot Toolsets

List reusable Toolsets available to Robots. Toolsets group tools with optional instructions and may be provided by Storyden, members, or plugins, or connected MCP servers.

GET/robots/toolsets

List reusable Toolsets available to Robots. Toolsets group tools with optional instructions and may be provided by Storyden, members, or plugins, or connected MCP servers.

storyden-session<token>

In: cookie

Response Body

application/json

application/json

curl -X GET "https://example.com/robots/toolsets"
{
  "toolsets": [
    {
      "id": "string",
      "name": "string",
      "description": "string",
      "instruction": "string",
      "tools": [
        "string"
      ],
      "source": "system",
      "source_ref": "string",
      "editable": true,
      "usage_count": 0,
      "requires_workspace": true,
      "author": {
        "id": "cc5lnd2s1s4652adtu50",
        "joined": "2019-08-24T14:15:22Z",
        "suspended": "2019-08-24T14:15:22Z",
        "handle": "Southclaws",
        "name": "Barnaby Keene",
        "signature": "<body><p>Sent with love from London!</p></body>",
        "roles": [
          {
            "badge": true,
            "default": true,
            "id": "cc5lnd2s1s4652adtu50",
            "name": "string",
            "colour": "string",
            "meta": {}
          }
        ]
      },
      "meta": {}
    }
  ]
}
Empty
Empty
{
  "type": "string",
  "title": "string",
  "detail": "string",
  "trace_id": "string",
  "metadata": {}
}